Package org.drinkless.tdlib

# Class TdApi.InputMessageAnimation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageAnimation

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageAnimation extends TdApi.InputMessageContent
An animation message (GIF-style).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `addedStickerFileIds`
  File identifiers of the stickers added to the animation, if applicable.
  `TdApi.InputFile`
  `animation`
  Animation file to be sent.
  `TdApi.FormattedText`
  `caption`
  Animation caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the animation, in seconds.
  `boolean`
  `hasSpoiler`
  True, if the animation preview must be covered by a spoiler animation; not supported in secret chats.
  `int`
  `height`
  Height of the animation; may be replaced by the server.
  `boolean`
  `showCaptionAboveMedia`
  True, if the caption must be shown above the animation; otherwise, the caption must be shown below the animation; not supported in secret chats.
  `TdApi.InputThumbnail`
  `thumbnail`
  Animation thumbnail; pass null to skip thumbnail uploading.
  `int`
  `width`
  Width of the animation; may be replaced by the server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageAnimation()`
  An animation message (GIF-style).
  `InputMessageAnimation(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, TdApi.FormattedText caption, boolean showCaptionAboveMedia, boolean hasSpoiler)`
  An animation message (GIF-style).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### animation

    public TdApi.InputFile animation
    Animation file to be sent.

  - ### thumbnail

    public TdApi.InputThumbnail thumbnail
    Animation thumbnail; pass null to skip thumbnail uploading.

  - ### addedStickerFileIds

    public int[] addedStickerFileIds
    File identifiers of the stickers added to the animation, if applicable.

  - ### duration

    public int duration
    Duration of the animation, in seconds.

  - ### width

    public int width
    Width of the animation; may be replaced by the server.

  - ### height

    public int height
    Height of the animation; may be replaced by the server.

  - ### caption

    public TdApi.FormattedText caption
    Animation caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

  - ### showCaptionAboveMedia

    public boolean showCaptionAboveMedia
    True, if the caption must be shown above the animation; otherwise, the caption must be shown below the animation; not supported in secret chats.

  - ### hasSpoiler

    public boolean hasSpoiler
    True, if the animation preview must be covered by a spoiler animation; not supported in secret chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageAnimation

    public InputMessageAnimation()
    An animation message (GIF-style).

  - ### InputMessageAnimation

    public InputMessageAnimation(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, TdApi.FormattedText caption, boolean showCaptionAboveMedia, boolean hasSpoiler)
    An animation message (GIF-style).
    Parameters:
      `animation` - Animation file to be sent.
      `thumbnail` - Animation thumbnail; pass null to skip thumbnail uploading.
      `addedStickerFileIds` - File identifiers of the stickers added to the animation, if applicable.
      `duration` - Duration of the animation, in seconds.
      `width` - Width of the animation; may be replaced by the server.
      `height` - Height of the animation; may be replaced by the server.
      `caption` - Animation caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
      `showCaptionAboveMedia` - True, if the caption must be shown above the animation; otherwise, the caption must be shown below the animation; not supported in secret chats.
      `hasSpoiler` - True, if the animation preview must be covered by a spoiler animation; not supported in secret chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR